org.apache.poi.xdgf.usermodel.section.geometry

## Class SplineKnot

- java.lang.Object
- - org.apache.poi.xdgf.usermodel.section.geometry.SplineKnot

- All Implemented Interfaces:
    GeometryRow

      public class SplineKnot
      extends java.lang.Object
      implements GeometryRow

  Contains x- and y-coordinates for a spline's control point and a spline's knot.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SplineKnot(com.microsoft.schemas.office.visio.x2012.main.RowType row)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToPath(java.awt.geom.Path2D.Double path, XDGFShape parent)`
    `java.lang.Double` | `getA()`
    `boolean` | `getDel()`
    `java.lang.Double` | `getX()`
    `java.lang.Double` | `getY()`
    `void` | `setupMaster(GeometryRow row)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SplineKnot

          public SplineKnot(com.microsoft.schemas.office.visio.x2012.main.RowType row)

  - ### Method Detail

    - #### getDel

          public boolean getDel()

    - #### getX

          public java.lang.Double getX()

    - #### getY

          public java.lang.Double getY()

    - #### getA

          public java.lang.Double getA()

    - #### setupMaster

          public void setupMaster(GeometryRow row)

      Specified by:
        `setupMaster` in interface `GeometryRow`

    - #### addToPath

          public void addToPath(java.awt.geom.Path2D.Double path,
                                XDGFShape parent)

      Specified by:
        `addToPath` in interface `GeometryRow`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.